<section class="sticky-top navigation">
	{{ with site.Params.plugins.darkmode }}
	<script type="text/javascript" src="{{ .js_link | absURL }}"></script>
	{{ end }}
	<div class="container">
		<nav class="navbar navbar-expand-lg navbar-dark">
			<a class="navbar-brand p-0" href="{{ .Site.BaseURL | relLangURL }}">
				{{ if site.Params.logo }}
				<img class="lozad" data-src="{{ site.Params.logo | absURL }}" alt="{{ .Site.Title }}" height="42">
				{{ else }}
				{{ site.Title }}
				{{ end }}
			</a>

			<button class="navbar-toggler rounded-0" type="button" data-toggle="collapse" data-target="#navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navigation">
				<ul class="navbar-nav ml-auto">
					{{ range site.Menus.main }}
					<li class="nav-item">
            <a class="nav-link" href="{{if .Pre}}{{site.BaseURL | absLangURL}}{{.Pre}}{{ .URL }}{{else}}{{.URL | absLangURL}}{{end}}">{{ .Name }}</a>
					</li>
					{{ end }}
				</ul>
				<!-- Language List -->
				{{- if site.IsMultiLingual }}
				<select id="select-language" onchange="location = this.value;">
					{{ $siteLanguages := site.Languages}}
					{{ $pageLang := .Page.Lang}}
					{{ range .Page.AllTranslations }}
					{{ $translation := .}}
					{{ range $siteLanguages }}
					{{ if eq $translation.Lang .Lang }}
					{{ $selected := false }}
					{{ if eq $pageLang .Lang}}
					<option id="{{ $translation.Language }}" value="{{ $translation.Permalink }}" selected>{{ .LanguageName }}
					</option>
					{{ else }}
					<option id="{{ $translation.Language }}" value="{{ $translation.Permalink }}">{{ .LanguageName }}</option>
					{{ end }}
					{{ end }}
					{{ end }}
					{{ end }}
				</select>
				{{ end }}
				<div>
					<a id="dark-mode-toggle" class="ti ti-moon-stars">Dark Mode</a>
				</div>
			</div>
		</nav>
	</div>
</section>
